# ij.protocol property

#### Function

Specifies the default protocol and subprotocol portions of the database connection URL for connections. The Derby protocol is:

- jdbc:derby:

Allows you to use a short form of a database name in a connection URL.

#### Syntax

    ij.protocol=protocolForEnvironment

#### Example

    D:>java -Dij.protocol=jdbc:derby:
        org.apache.derby.tools.ij
    ij version 10.5
    ij> Connect 'newDB;create=true';
    ij>

#### See also

- Protocol command

Parent topic: ij properties reference
Related reference
ij.connection.connectionName property
ij.database property
ij.dataSource property
ij.driver property
ij.exceptionTrace property
ij.maximumDisplayWidth property
ij.outfile property
ij.password property
ij.protocol.protocolName property
ij.showErrorCode property
ij.showNoConnectionsAtStart property
ij.showNoCountForSelect property
ij.URLCheck property
ij.user property
derby.ui.codeset property